function [im,weite,b] = fill_left_right_images_0(g,h,max_iter)
%% fill initial pair of images left and right
%
% wf 7/2020

%size of images, may be different
[Mg,~]=size(g);
[Mh,~]=size(h);
% half size
Mhg=(Mg-1)/2;
Mhh=(Mh-1)/2;
% maximum
M = max(Mhg,Mhh);
% boundary
b=5;
weite = max(Mg,Mh);
wh = (weite+1)/2;

% white background
im=ones(3*b+2*weite,3*b+(max_iter+1)*weite);

% given image windows
im(b+    wh-Mhg:  b+    wh+Mhg, b+wh-Mhg:b+wh+Mhg) = g/256;
im(2*b+(weite+wh)-Mhh:2*b+(weite+wh)+Mhh,b+wh-Mhh:b+wh+Mhh) = h/256;


end

