function [I_true,f_true,g_true,h_true,par] = generate_reference_image(par)
%% generate reference image
%
% wf 7/2020

% generate true image, such that warped g and h fit
I_true = LSM_62_sym_generate_image(par,1);

par.init_rand_samples    = init_rand_seed(par.init_rand_samples);

%% generate true observed image windows ================================
% generate true image patches
[f_true,g_true,h_true,par] = ...
    LSM_62_sym_generate_true_observing_images(I_true,par);

fs_true                     = conv2(f_true,[1,0,-1]/2,'valid');
empirical_bandwidth         = std(fs_true(:))/std(f_true(:))/(2*pi);
disp(['estimated bandwidth         : ', num2str(empirical_bandwidth)])


end

