function show_main_convergence(...
    fig_conv,xa,est_xa,old_est_sigma_0,est_sigma_0,iter,old_cpu,cpu,sum_cpu)
col = ['r','g','b','c','m','y','k','b'];

%% show convergence
%
% wf 7/2020


figure(fig_conv)
hold on
subplot(1,5,1)
for u=1:4
    plot(iter,est_xa.x(u),['.',col(u)],'MarkerSize',12)
    plot([iter-1,iter],[xa(u),est_xa.x(u)],['-',col(u)],'LineWidth',2)
end
subplot(1,5,2)
for u=5:6
    plot(iter,est_xa.x(u),['.',col(u)],'MarkerSize',12)
    plot([iter-1,iter],[xa(u),est_xa.x(u)],['-',col(u)],'LineWidth',2)
end
subplot(1,5,3)
for u=7:8
    plot(iter,est_xa.x(u),['.',col(u)],'MarkerSize',12)
    plot([iter-1,iter],[xa(u),est_xa.x(u)],['-',col(u)],'LineWidth',2)
end
subplot(1,5,4)
plot(iter,est_sigma_0,'.k','MarkerSize',12)
plot([iter-1,iter],[old_est_sigma_0,est_sigma_0],'-k','LineWidth',2)
title('sigma\_0')

subplot(1,5,5)
plot(iter,cpu,'.k','MarkerSize',12)
plot([iter-1,iter],[old_cpu,cpu],'-k','LineWidth',2)
title(['CPU: ',num2str(sum_cpu)])


disp(['sum_cpu = ',num2str(sum_cpu)]);
end

