% LSM_generate_corner generates square image with corner
%
% I = LSM_generate_corner(N0,b)
%
% N0    = size of image
% bound = size of boundary
%
% I     = corner image

function I=LSM_generate_corner(N0,b)

global plot_type
s = 1;
N=N0+2*(b+1);
for i=1:N
    for j=1:N
        I(i,j)=floor(200/(1+exp(-(i-N/2)/s))/(1+exp(-(j-N/2)/s))+25);
    end
end
if plot_type > 0
    I
end

return