function g = gj(t,p)
%function gj = gj(theta;[yj;f(:)]]);

N  = sqrt(length(p)-2);
Nf = (N-1)/2;
f  = reshape(p(3:end),N,N);

A  = [t(1) t(3) t(5);t(2) t(4) t(6); 0 0 1];
xh = A*[p(1);p(2);1];                 % real coordinates in f (centred)
xc=xh(1);
yc=xh(2);
x=xc+Nf+1;                      % pixel coordinates in f
y=yc+Nf+1;
g  = 1/t(7)*(LSM_f_cubic_interpolation(x,y,f)-t(8));
end

