function fig_conv = show_main_convergence_0(xa)
%% show start of convergence
%
% wf 7/2020

col = ['r','g','b','c','m','y','k','b'];
figure('name','convergence')
fig_conv= gcf;

subplot(1,5,1)
hold on
for u=1:4
    plot(0,xa(u),['.',col(u)],'MarkerSize',12)
end
title('parameters a1,a2,a3,a4')
subplot(1,5,2)
hold on
for u=5:6
    plot(0,xa(u),['.',col(u)],'MarkerSize',12)
end
title('parameters a5,a6')
subplot(1,5,3)
hold on
for u=7:8
    plot(0,xa(u),['.',col(u)],'MarkerSize',12)
end
title('parameters a7,a8')
subplot(1,5,4)
hold on
plot(0,1,'.k','MarkerSize',12)
subplot(1,5,5)
hold on
plot(0,0,'.k','MarkerSize',12)
end

