%% convert Covariance matrix into Standard deviation correlation matrix

function S_rho=covariance_2_sigma_rho(C)

n=size(C,1);
display(['sigma_average: ',num2str(sqrt(trace(C)/n))]);
sigma_average=sqrt(trace(C)/n);
for i=1:n
    S_rho(i,i)=sqrt(C(i,i))/sigma_average;
    for j=1:n
        if i ~= j
            S_rho(i,j)=C(i,j)/sqrt(C(i,i)*C(j,j));
        end
    end
end
S_rho;
return